Scilab Function
Last update : 00/00/0000

setfield - insertion dans un champ d'une liste

### Calling Sequence

  `setfield(i,x,l)`

### Parameters

- `x` : matrice de tout type
- `l` : variable de type list, tlist ou mlist
- `i` : indice de champ, voir `insertion` pour plus de détails.

### Description

Cette fonction est équivalente à la syntaxe `l(i)=x` pour l'extraction avec la seule différence qu'elle s'applique aussi aux objets de type `mlist`.

### Examples

    l=list(1,'qwerw',%s)
    l(1)='change'
    l(0)='ajoute'
    l(6)=['un de plus';'ajoute']
    //

    a=hypermat([2,2,2],rand(1:2^3));// les hypermatrices sont des mlist
    setfield(3,1:8,a);a // affectation du champ

### See Also

`insertion`,